CHMOD(1)

NAMA
chmod - change file mode bits

RINGKASAN
chmod [PILIHAN]... MODE[,MODE]... BERKAS...
chmod [PILIHAN]... MODE-OKTAL BERKAS...
chmod [PILIHAN]... --reference=RFILE BERKAS...

DESKRIPSI
This manual page documents the GNU version of chmod. chmod changes the file mode bits of each given file according to mode, which can be either a symbolic representation of changes to make, or an octal number representing the bit pattern for the new mode bits.

The format of a symbolic mode is [ugoa...][[-+=][perms...]...], where perms is either zero or more letters from the set rwxXst, or a single letter from the set ugo. Multiple symbolic modes can be given, separated by commas.

Kombinasi huruf-huruf ugoa mengontrol hak akses file yang akan dirubah: untuk pemilik (u), untuk grup (g), untuk user lain bukan didalam grup (o), atau untuk seluruh user (a). Bila tidak ada satupun yang diberikan, maka defaultnya adalah a tapi bit-bit yang di set dalam umask tidak dipengaruhi.

The operator + causes the selected file mode bits to be added to the existing file mode bits of each file; - causes them to be removed; and = causes them to be added and causes unmentioned bits to be removed except that a directory's unmentioned set user and group ID bits are not affected.

The letters rwxXst select file mode bits for the affected users: read (r), write (w), execute (or search for directories) (x), execute/search only if the file is a directory or already has execute permission for some user (X), set user or group ID on execution (s), restricted deletion flag or sticky bit (t). Instead of one or more of these letters, you can specify exactly one of the letters ugo: the permissions granted to the user who owns the file (u), the permissions granted to other users who are members of the file's group (g), and the permissions granted to users that are in neither of the two preceding categories (o).

A numeric mode is from one to four octal digits (0-7), derived by adding up the bits with values 4, 2, and 1. Omitted digits are assumed to be leading zeros. The first digit selects the set user ID (4) and set group ID (2) and restricted deletion or sticky (1) attributes. The second digit selects permissions for the user who owns the file: read (4), write (2), and execute (1); the third selects permissions for other users in the file's group, with the same values; and the fourth for other users not in the file's group, with the same values.

chmod tidak akan merubah hak akses dari symbolic link; Sistem call chmod tidak dapat mengubah hak akses file-file tersebut. Hal ini bukan suatu masalah karena hak akses symbolic link tidak pernah digunakan. Walaupun demikian, setiap symbolic link yang diberikan pada baris perintah bersama dengan chmod merubah hak akses dari file yang dituju. Tapi chmod mengabaikan symbolic link yang menuju ke direktori lain.

SETUID AND SETGID BITS
chmod clears the set-group-ID bit of a regular file if the file's group ID does not match the user's effective group ID or one of the user's supplementary group IDs, unless the user has appropriate privileges. Additional restrictions may cause the set-user-ID and set-group-ID bits of MODE or RFILE to be ignored. This behavior depends on the policy and functionality of the underlying chmod system call. When in doubt, check the underlying system behavior.

For directories chmod preserves set-user-ID and set-group-ID bits unless you explicitly specify otherwise. You can set or clear the bits with symbolic modes like u+s and g-s. To clear these bits for directories with a numeric mode requires an additional leading zero, or leading = like 00755 , or =755

RESTRICTED DELETION FLAG OR STICKY BIT
The restricted deletion flag or sticky bit is a single bit, whose interpretation depends on the file type. For directories, it prevents unprivileged users from removing or renaming a file in the directory unless they own the file or the directory; this is called the restricted deletion flag for the directory, and is commonly found on world-writable directories like /tmp. For regular files on some older systems, the bit saves the program's text image on the swap device so it will load more quickly when run; this is called the sticky bit.

PILIHAN

Ubah konteks keamanan dari setiap BERKAS ke MODE. Dengan --reference, ubah konteks keamanan dari setiap BERKAS ke RFILE.

-c, --changes
    seperti cerewet tapi hanya laporkan ketika suatu perubahan dibuat

-f, --silent, --quiet
    sembunyikan kebanyakan pesan kesalahan

-v, --verbose
    keluarkan sebuah pesan diagnostik untuk setiap berkas yang diproses

--no-preserve-root
    jangan perlakukan '/' spesial (default)

--preserve-root
    gagal beroperasi secara rekursif di '/'

--reference=RFILE
    gunakan RFILE konteks keamanan daripada menspesifikasikan sebuah nilai KONTEKS

-R, --recursive
    Secara rekursif merubah hak akses direktori dan isinya.

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Setiap MODE adalah dalam bentuk '[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+'.

PENGARANG
Ditulis oleh David MacKenzie dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2020 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
chmod(2)

Dokumentasi lengkap <https://www.gnu.org/software/coreutils/chmod>
atau tersedia lokal melalui: info '(coreutils) chmod invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Rizqy Syarief <rizqy@rad.net.id>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke <TODO>.